---
title: 'DedicatedWorkerGlobalScope: message event'
slug: Web/API/DedicatedWorkerGlobalScope/message_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The <code>message</code> event is fired on a {{domxref('DedicatedWorkerGlobalScope')}} object when the worker receives a message from its parent (i.e. when the parent sends a message using <code><a href="/en-US/docs/Web/API/Worker/postMessage">Worker.postMessage()</a></code>).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MessageEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/DedicatedWorkerGlobalScope/onmessage">onmessage</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This code creates a new worker and sends it a message using <code><a href="/en-US/docs/Web/API/Worker/postMessage">Worker.postMessage()</a></code>:</p>

<pre class="brush: js">const worker = new Worker("static/scripts/worker.js");

worker.addEventListener('message', (event) =&gt; {
    console.log(`Received message from worker: ${event.data}`)
});</pre>

<p>The worker can listen for this message using <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener()</a></code>:</p>

<pre class="brush: js">// inside static/scripts/worker.js

self.addEventListener('message', (event) =&gt; {
    console.log(`Received message from parent: ${event.data}`);
});</pre>

<p>Alternatively, it could listen using the <code><a href="/en-US/docs/Web/API/DedicatedWorkerGlobalScope/onmessage">onmessage</a></code> event handler property:</p>

<pre class="brush: js">// static/scripts/worker.js

self.onmessage = (event) =&gt; {
    console.log(`Received message from parent: ${event.data}`);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-message')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DedicatedWorkerGlobalScope.message_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/docs/Web/API/DedicatedWorkerGlobalScope/messageerror_event">messageerror</a></code>.</li>
 <li><code><a href="/en-US/docs/Web/API/Worker/postMessage">Worker.postMessage()</a></code>.</li>
</ul>
